summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAhmed Abdelhalim <[email protected]>2026-01-17 18:29:06 +0100
committerAhmed Abdelhalim <[email protected]>2026-01-17 18:36:40 +0100
commitf68f2e4925fbb1562d78c60bf72c94a56da8c7bb (patch)
tree4861f966c11bf388ec155fe98f9c74fb0accdf5d
parent629cd5215aed217eeea6202cb02a7bf468574f0d (diff)
Remove -x tracing to avoid logging to stderr and log steps to stdout
-rw-r--r--README.md2
-rwxr-xr-xinstall.sh6
2 files changed, 6 insertions, 2 deletions
diff --git a/README.md b/README.md
index fda5603..98dc7dd 100644
--- a/README.md
+++ b/README.md
@@ -11,7 +11,7 @@
```bash
git clone https://git.sr.ht/~a14m/.rc ~/.rc
-.rc/install.sh
+~/.rc/install.sh
```
Extra configurations for different distro families:
diff --git a/install.sh b/install.sh
index 6829189..355ded4 100755
--- a/install.sh
+++ b/install.sh
@@ -1,14 +1,18 @@
#!/bin/bash
-set -xeou pipefail
+set -eou pipefail
+echo "Setting up dotfiles..."
rm -f ~/.bash_profile ~/.bashrc ~/.profile
cd ~/.rc
stow --no-folding --adopt .
git restore .
+echo "Updating git remote..."
git remote set-url origin [email protected]:~a14m/.rc
+echo "Configuring GPG..."
ln -sf ~/.rc/.gnupg/pinentry-wrapper ~/.local/bin/pinentry-wrapper
envsubst < ~/.gnupg/gpg-agent.conf.template > ~/.gnupg/gpg-agent.conf
chmod 0700 ~/.gnupg
gpgconf --kill gpg-agent 2>/dev/null || true
gpg-connect-agent /bye 2>/dev/null || true
+echo "Done..."